<?php	
function carspot_loadMyBlock() {
  wp_enqueue_script(
    'carspot-block',
    carspot_ep_URLPATH . 'admin/files/js/gutenberg-block.js',
    array('wp-blocks','wp-editor'),
    true
  );
}
   
add_action('enqueue_block_editor_assets', 'carspot_loadMyBlock');

// Block Category
function carspot_filter_block_categories_when_post_provided( $block_categories, $editor_context ) {
    if ( ! empty( $editor_context->post ) ) {
        array_push(
            $block_categories,
            array(
                'slug'  => 'carspot-category',
				'icon'  => 'dashicons-before dashicons-universal-access-alt',
                'title' => esc_html__( 'carspot', 'carspot' ),
            )
        );
    }
    return $block_categories;
}
 
add_filter( 'block_categories_all', 'carspot_filter_block_categories_when_post_provided', 10, 2 );
